groovy.ui.text

## Class FindReplaceUtility

- java.lang.Object
- - groovy.ui.text.FindReplaceUtility

-     public final class FindReplaceUtility
      extends java.lang.Object

  Author:
    Evan "Hippy" Slatis

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `CLOSE_ACTION_COMMAND`
    `static javax.swing.Action` | `FIND_ACTION`
    `static java.lang.String` | `FIND_ACTION_COMMAND`
    `static java.lang.String` | `REPLACE_ACTION_COMMAND`
    `static java.lang.String` | `REPLACE_ALL_ACTION_COMMAND`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `addTextListener(java.awt.event.TextListener tl)`
    `static void` | `dispose()`
    `static java.lang.String` | `getLastAction()`
    `static int` | `getReplacementCount()`
    `static java.lang.String` | `getSearchText()`
    `static void` | `registerTextComponent(javax.swing.text.JTextComponent textComponent)`
    `static void` | `removeTextListener(java.awt.event.TextListener tl)`
    `static void` | `showDialog()`
    `static void` | `showDialog(boolean isReplace)`
    `static void` | `unregisterTextComponent(javax.swing.text.JTextComponent textComponent)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FIND_ACTION_COMMAND

          public static final java.lang.String FIND_ACTION_COMMAND

      See Also:
        Constant Field Values

    - #### REPLACE_ACTION_COMMAND

          public static final java.lang.String REPLACE_ACTION_COMMAND

      See Also:
        Constant Field Values

    - #### REPLACE_ALL_ACTION_COMMAND

          public static final java.lang.String REPLACE_ALL_ACTION_COMMAND

      See Also:
        Constant Field Values

    - #### CLOSE_ACTION_COMMAND

          public static final java.lang.String CLOSE_ACTION_COMMAND

      See Also:
        Constant Field Values

    - #### FIND_ACTION

          public static final javax.swing.Action FIND_ACTION

  - ### Method Detail

    - #### addTextListener

          public static void addTextListener(java.awt.event.TextListener tl)

    - #### getLastAction

          public static java.lang.String getLastAction()

      Returns:
        the last action

    - #### getReplacementCount

          public static int getReplacementCount()

      Returns:
        the replacement count

    - #### getSearchText

          public static java.lang.String getSearchText()

      Returns:
        the search text

    - #### registerTextComponent

          public static void registerTextComponent(javax.swing.text.JTextComponent textComponent)

      Parameters:
        `textComponent` - the text component to listen to

    - #### removeTextListener

          public static void removeTextListener(java.awt.event.TextListener tl)

    - #### showDialog

          public static void showDialog()

    - #### showDialog

          public static void showDialog(boolean isReplace)

      Parameters:
        `isReplace` - show a replace dialog rather than a find dialog if true

    - #### unregisterTextComponent

          public static void unregisterTextComponent(javax.swing.text.JTextComponent textComponent)

      Parameters:
        `textComponent` - the text component to stop listening to

    - #### dispose

          public static void dispose()